Net::DummyInetd(3pm)

NAME
Net::DummyInetd - A dummy Inetd server

SYNOPSIS

    use Net::DummyInetd;
    use Net::SMTP;

    $inetd = new Net::DummyInetd qw(/usr/lib/sendmail -ba -bs);

    $smtp  = Net::SMTP->new('localhost', Port => $inetd->port);

DESCRIPTION
Net::DummyInetd is just what it's name says, it is a dummy inetd server. Creation of a Net::DummyInetd will cause a child process to be spawned off which will listen to a socket. When a connection arrives on this socket the specified command is fork'd and exec'd with STDIN and STDOUT file descriptors duplicated to the new socket.

This package was added as an example of how to use Net::SMTP to connect to a sendmail process, which is not the default, via SIDIN and STDOUT. A Net::Inetd package will be available in the next release of libnet

CONSTRUCTOR
Creates a new object and spawns a child process which listens to a socket. CMD is a list, which will be passed to exec when a new process needs to be created.

METHODS
Returns the port number on which the DummyInetd object is listening

AUTHOR
Graham Barr <gbarr@ti.com>

COPYRIGHT
Copyright (c) 1995-1997 Graham Barr. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.